Dataset Preview
The dataset preview is not available for this split.
Cannot load the dataset split (in normal download mode) to extract the first rows.
Error code:   NormalRowsError
Exception:    FileNotFoundError
Message:      [Errno 2] No such file or directory: 'masc/audios_chunks_complete/SGhAan5sPK0_25.wav'
Traceback:    Traceback (most recent call last):
                File "/src/services/worker/src/worker/responses/first_rows.py", line 337, in get_first_rows_response
                  rows = get_rows(dataset, config, split, streaming=True, rows_max_number=rows_max_number, hf_token=hf_token)
                File "/src/services/worker/src/worker/utils.py", line 123, in decorator
                  return func(*args, **kwargs)
                File "/src/services/worker/src/worker/responses/first_rows.py", line 77, in get_rows
                  rows_plus_one = list(itertools.islice(ds, rows_max_number + 1))
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/iterable_dataset.py", line 722, in __iter__
                  yield _apply_feature_types(example, self.features, token_per_repo_id=self._token_per_repo_id)
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/iterable_dataset.py", line 606, in _apply_feature_types
                  decoded_example = features.decode_example(encoded_example, token_per_repo_id=token_per_repo_id)
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/features/features.py", line 1647, in decode_example
                  return {
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/features/features.py", line 1648, in <dictcomp>
                  column_name: decode_nested_example(feature, value, token_per_repo_id=token_per_repo_id)
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/features/features.py", line 1260, in decode_nested_example
                  return schema.decode_example(obj, token_per_repo_id=token_per_repo_id) if obj is not None else None
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/features/audio.py", line 156, in decode_example
                  array, sampling_rate = self._decode_non_mp3_path_like(path, token_per_repo_id=token_per_repo_id)
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/features/audio.py", line 256, in _decode_non_mp3_path_like
                  with xopen(path, "rb", use_auth_token=use_auth_token) as f:
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/download/streaming_download_manager.py", line 440, in xopen
                  return open(file, mode, *args, **kwargs)
              FileNotFoundError: [Errno 2] No such file or directory: 'masc/audios_chunks_complete/SGhAan5sPK0_25.wav'
              
              During handling of the above exception, another exception occurred:
              
              Traceback (most recent call last):
                File "/src/services/worker/src/worker/responses/first_rows.py", line 345, in get_first_rows_response
                  rows = get_rows(
                File "/src/services/worker/src/worker/utils.py", line 123, in decorator
                  return func(*args, **kwargs)
                File "/src/services/worker/src/worker/responses/first_rows.py", line 77, in get_rows
                  rows_plus_one = list(itertools.islice(ds, rows_max_number + 1))
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/arrow_dataset.py", line 1802, in _iter
                  yield self._getitem(
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/arrow_dataset.py", line 2150, in _getitem
                  formatted_output = format_table(
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/formatting/formatting.py", line 532, in format_table
                  return formatter(pa_table, query_type=query_type)
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/formatting/formatting.py", line 281, in __call__
                  return self.format_row(pa_table)
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/formatting/formatting.py", line 312, in format_row
                  row = self.python_features_decoder.decode_row(row)
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/formatting/formatting.py", line 221, in decode_row
                  return self.features.decode_example(row) if self.features else row
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/features/features.py", line 1647, in decode_example
                  return {
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/features/features.py", line 1648, in <dictcomp>
                  column_name: decode_nested_example(feature, value, token_per_repo_id=token_per_repo_id)
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/features/features.py", line 1260, in decode_nested_example
                  return schema.decode_example(obj, token_per_repo_id=token_per_repo_id) if obj is not None else None
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/features/audio.py", line 156, in decode_example
                  array, sampling_rate = self._decode_non_mp3_path_like(path, token_per_repo_id=token_per_repo_id)
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/features/audio.py", line 256, in _decode_non_mp3_path_like
                  with xopen(path, "rb", use_auth_token=use_auth_token) as f:
                File "/src/services/worker/.venv/lib/python3.9/site-packages/datasets/download/streaming_download_manager.py", line 440, in xopen
                  return open(file, mode, *args, **kwargs)
              FileNotFoundError: [Errno 2] No such file or directory: 'masc/audios_chunks_complete/SGhAan5sPK0_25.wav'

Need help to make the dataset viewer work? Open an discussion for direct support.